<#import "partials/header.ftlh" as main>

<@main.renderWith scripts=[] styles=[]>
    <h1>Добавление новой статьи</h1>

    <div class="container">
        <a class="btn btn-secondary" href="/admin" style="background-color: RGB(215, 181, 109); color: #4f5050;">Отменить добавление</a>
        <br>
        <br>
        <form action="/directory-add" method="post">
            <div class="row mt-2">
                <span class="col-4" id="addon-wrapping">Основное наименование:</span>
                <input type="text"  class="col-8" name="title" placeholder="Основное наименование" aria-label="Username" aria-describedby="addon-wrapping" value="${(form.title)!''}">
                <#if errors?? >
                    <#list errors as fieldError>
                        <#if fieldError.field == 'title'>
                            <p class="text-danger my-0">${fieldError.defaultMessage!'-- no message --'}</p>
                        </#if>
                    </#list>
                </#if>
            </div>
            <div class="row mt-2">
                <span class="col-4" id="addon-wrapping">Артикул:</span>
                <input type="text"  class="col-8" name="article" placeholder="Артикул" aria-label="Username" aria-describedby="addon-wrapping" value="${(form.article)!''}">
                <#if errors?? >
                    <#list errors as fieldError>
                        <#if fieldError.field == 'article'>
                            <p class="text-danger my-0">${fieldError.defaultMessage!'-- no message --'}</p>
                        </#if>
                    </#list>
                </#if>
            </div>
            <div class="row mt-2">
                <span class="col-4" id="addon-wrapping">Дополнительное наименование:</span>
                <input type="text"  class="col-8" name="name" placeholder="Дополнительное наименование" aria-label="Username" aria-describedby="addon-wrapping" value="${(form.name)!''}">
                <#if errors?? >
                    <#list errors as fieldError>
                        <#if fieldError.field == 'name'>
                            <p class="text-danger my-0">${fieldError.defaultMessage!'-- no message --'}</p>
                        </#if>
                    </#list>
                </#if>
            </div>
            <div class="row mt-2">
                <span class="col-4" id="addon-wrapping">Дополнительное наименование 2:</span>
                <input type="text" cols="30" rows="10" class="col-8" name="name2" placeholder="Дополнительное наименование:" aria-label="Username" aria-describedby="addon-wrapping" value="${(form.name2)!''}">
                <#if errors?? >
                    <#list errors as fieldError>
                        <#if fieldError.field == 'name2'>
                            <p class="text-danger my-0">${fieldError.defaultMessage!'-- no message --'}</p>
                        </#if>
                    </#list>
                </#if>
            </div>
            <div class="row mt-2">
                <span class="col-4" id="addon-wrapping">Дополнительное наименование 3:</span>
                <input type="text"  class="col-8" name="name3" placeholder="Дополнительное наименование 3" aria-label="Username" aria-describedby="addon-wrapping" value="${(form.name3)!''}">
                <#if errors?? >
                    <#list errors as fieldError>
                        <#if fieldError.field == 'name3'>
                            <p class="text-danger my-0">${fieldError.defaultMessage!'-- no message --'}</p>
                        </#if>
                    </#list>
                </#if>
            </div>
            <div class="row mt-2">
                <span class="col-4" id="addon-wrapping">Дополнительное наименование 4:</span>
                <input type="text" cols="30" rows="10" class="col-8" name="name4" placeholder="Дополнительное описание" aria-label="Username" aria-describedby="addon-wrapping" value="${(form.name4)!''}">
                <#if errors?? >
                    <#list errors as fieldError>
                        <#if fieldError.field == 'name4'>
                            <p class="text-danger my-0">${fieldError.defaultMessage!'-- no message --'}</p>
                        </#if>
                    </#list>
                </#if>
            </div>
            <div class="mt-3">
                <button class="btn btn-secondary" type="submit" style="background-color: RGB(215, 181, 109); color: #4f5050;">Добавить</button>
            </div>
        </form>
    </div>
</@main.renderWith>